Loading...
Searching...
No Matches
Halide::Internal::Scope< T >::const_iterator Class Reference

Iterate through the scope. More...

`#include <Scope.h>`

## Public Member Functions

| const_iterator (const typename std::map< std::string, SmallStack< T > >::const_iterator &i)
| const_iterator ()=default
bool | operator!= (const const_iterator &other)
void | operator++ ()
const std::string & | name ()
const SmallStack< T > & | stack ()
template<typename T2 = T, typename = typename std::enable_if<!std::is_same<T2, void>::value>::type>
const T2 & | value ()

## Detailed Description

template<typename T = void>
class Halide::Internal::Scope< T >::const_iterator

Iterate through the scope.

Does not capture any containing scope.

Definition at line 259 of file Scope.h.

## Constructor & Destructor Documentation

## const_iterator() [1/2]

template<typename T = void>

Halide::Internal::Scope< T >::const_iterator::const_iterator | ( | const typename std::map< std::string, SmallStack< T > >::const_iterator & | i | ) |

inline explicit

Definition at line 263 of file Scope.h.

References const_iterator().

Referenced by const_iterator(), and operator!=().

## const_iterator() [2/2]

template<typename T = void>

Halide::Internal::Scope< T >::const_iterator::const_iterator | ( |  | ) |

default

## Member Function Documentation

## operator!=()

template<typename T = void>

bool Halide::Internal::Scope< T >::const_iterator::operator!= | ( | const const_iterator & | other | ) |

inline

Definition at line 269 of file Scope.h.

References const_iterator().

## operator++()

template<typename T = void>

void Halide::Internal::Scope< T >::const_iterator::operator++ | ( |  | ) |

inline

Definition at line 273 of file Scope.h.

## name()

template<typename T = void>

const std::string & Halide::Internal::Scope< T >::const_iterator::name | ( |  | ) |

inline

Definition at line 277 of file Scope.h.

Referenced by Halide::Internal::operator<<().

## stack()

template<typename T = void>

const SmallStack< T > & Halide::Internal::Scope< T >::const_iterator::stack | ( |  | ) |

inline

Definition at line 281 of file Scope.h.

## value()

template<typename T = void>
template<typename T2 = T, typename = typename std::enable_if<!std::is_same<T2, void>::value>::type>

const T2 & Halide::Internal::Scope< T >::const_iterator::value | ( |  | ) |

inline

Definition at line 287 of file Scope.h.

The documentation for this class was generated from the following file:

- src/Scope.h